#!/usr/bin/bash


cd ../envs
conda_version=$(conda --version)

# make a venv
# check conda version as expected
if [ "${conda_version}" != "conda 22.11.1" ]; then
  echo "conda version ${conda_version} is not correct, should be 22.11.1"
  exit 1
else
  echo "${conda_version}"
fi

conda env create --file environment.yml 
eval "$(conda shell.bash hook)"
conda activate junifer_release

# check python version as expected
if [ "$(python3 --version)" != "Python 3.10.8" ]; then
  echo "python version $(python3 --version) is not correct, should be 3.10.8"
  exit 1
else
  echo "$(python3 --version)"
fi

cd ../code